MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024028Open CASCADE[OCCT] OCCT:Modeling Datapublic2013-06-14 12:392013-12-19 13:58
Reporterjgv 
Assigned Tojgv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024028: It is impossible to create a face based on Geom_RectangularTrimmedSurface by standard methods
DescriptionThis bug is found by customer. The respective method of BRepLib_MakeFace sets the basis surface of Geom_RectangularTrimmedSurface in created face.
Steps To Reproducebeziercu cc 3 0 0 -10 1 20 0 0 10 0 0 10 1
revsurf ss cc 0 0 0 0 0 1
trimu ts ss 0 pi
donly ts
mkface ff ts
dump ff
TagsNo tags attached.
Test case numberbugs moddata_3(013) bug24028
Attached Files

- Relationships
related to 0024077closednbv Build errors on master branch on Mac OS X 

-  Notes
(0024753)
jgv (developer)
2013-06-14 12:57

The branch CR24028 is ready for reviewing.
(0024755)
ifv (developer)
2013-06-14 14:07

Wrong treatment of Offset surface.
(0024756)
jgv (developer)
2013-06-14 14:36

The branch CR24028 is updated and ready for reviewing.
(0024758)
ifv (developer)
2013-06-14 14:49

Ok
(0024769)
mkv (tester)
2013-06-17 17:09

Dear BugMaster,

Branch CR24028 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 7 (7 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (63 on master)

Regressions:
http://occt-tests/CR24028-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24028-master-occt/Windows-32-VC9/summary.html [^]
de iges_1(001) H8, J3, Q8, R3
de iges_2(002) A8, C6, G1, H1
de iges_3(003) A3, A4
de step_1(004) E5
de step_2(005) B1
de step_3(006) E3
xcaf brep_to_igs_add_CL(006) E3

Also:
http://occt-tests/CR24028-master-occt/Windows-32-VC9/summary.html [^]
de step_1(004) D4
de step_2(005) E2

Improvements:
No improvements

Testing cases:
bugs moddata_3(013) bug24028 - OK.

Testing on Linux:
Total MEMORY difference: 364144724 / 364149420
Total CPU difference: 43033.48000000097 / 40859.750000000895

Testing on Windows:

There are following differences in images found by testdiff.
http://occt-tests/CR24028-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24028-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE de iges_1 L7: L7.png differs
IMAGE xcaf igs_to_dxc A7: A7.png differs
(0024803)
nbv (developer)
2013-06-19 16:25

CR24028_1 is ready to review.
(0024804)
ifv (developer)
2013-06-19 16:40

Ok
(0024811)
mkv (tester)
2013-06-20 08:22

Dear BugMaster,

Branch CR24028_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 7 (7 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (63 on master)

Regressions:
http://occt-tests/CR24028-1-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24028-1-master-occt/Windows-32-VC9/summary.html [^]
de iges_1(001) A4, A5, D1, G4, H2, I5, J3, K2, K3, L7, M7, N3, Q2, Q8, R4, R5
de iges_2(002) A1, A9, B1, B8, C6, E6, G1, G9, H1, I5
de iges_3(003) A3, A4
de step_1(004) E5
de step_2(005) B1
de step_3(006) E3
xcaf brep_to_igs_add_CL(006) E3

Also:
http://occt-tests/CR24028-1-master-occt/Windows-32-VC9/summary.html [^]
de iges_3(003) A7

Improvements:
No improvements

Testing cases:
bugs moddata_3(013) bug24028 - OK.

Testing on Linux:
Total MEMORY difference: 361641508 / 361643964
Total CPU difference: 45766.94000000085 / 40319.780000000865

Testing on Windows:
Total MEMORY difference: 419251912 / 417612712
Total CPU difference: 40521.984375 / 35114.71875

There are following differences/improvments in images found by testdiff.
http://occt-tests/CR24028-1-master-occt/Debian60-64/diff-Debian60-64.html [^]

IMAGE de iges_1 Q3: Q3.png differs
IMAGE de iges_2 H9: H9.png differs
IMAGE de iges_2 E3: E3.png differs
IMAGE bugs xde bug660: bug660.png differs
IMAGE bugs xde bug9531: bug9531.png differs
IMAGE bugs iges bug365_1: bug365_1.png differs
IMAGE bugs iges bug283: bug283.png differs
IMAGE bugs iges bug272_1: bug272_1.png differs
IMAGE feat featprism S2: S2.png differs
IMAGE xcaf igs_to_dxc A7: A7.png differs
IMAGE draft angle L4: L4.png differs
(0024837)
nbv (developer)
2013-06-21 17:50

CR24028_2 is ready to review.
(0024838)
ifv (developer)
2013-06-21 18:04

Ok
(0024839)
nbv (developer)
2013-06-24 10:25

CR24028_2 was updated.

1. bugs/moddata_3/bug24028 was added
2. Commit message was changed.

Code was NOT changed.
(0024857)
apn (administrator)
2013-06-25 11:49

Dear BugMaster,

Branch CR24028_2 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 6b73a7123a247efe98e814bfe7e3d4edb68e16ff

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 7 (7 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (63 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
bugs moddata_3(013) bug24028 - OK

Testing on Linux:
Total MEMORY difference: 366537464 / 366285416
Total CPU difference: 43091.58000000127 / 48296.94000000085

Testing on Windows:
Total MEMORY difference: 423638408 / 423111980
Total CPU difference: 44751.984375 / 37666.078125

There are not differences in images found by testdiff.

- Related Changesets
occt: master 9d109e39
Timestamp: 2013-06-24 06:18:18
Author: nbv
Committer: jgv
Details ] Diff ]
0024028: It is impossible to create a face based on Geom_RectangularTrimmedSurface by standard methods

1. Trimmed Surfaces were replaced with bases for *.igs and *.stp file format.
BRepLib_MakeFace method sets the TRIMMED surface of Geom_RectangularTrimmedSurface in created face.

2. Adding test case for this fix
mod - src/BRepLib/BRepLib_MakeFace.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_TopoSurface.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_Builder.cxx Diff ] File ]
add - tests/bugs/moddata_3/bug24028 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-06-14 12:39 jgv New Issue
2013-06-14 12:39 jgv Assigned To => ifv
2013-06-14 12:39 jgv Assigned To ifv => jgv
2013-06-14 12:41 jgv Steps to Reproduce Updated View Revisions
2013-06-14 12:57 jgv Note Added: 0024753
2013-06-14 12:57 jgv Status new => resolved
2013-06-14 12:58 jgv Assigned To jgv => ifv
2013-06-14 14:07 ifv Note Added: 0024755
2013-06-14 14:07 ifv Status resolved => feedback
2013-06-14 14:36 jgv Note Added: 0024756
2013-06-14 14:36 jgv Status feedback => resolved
2013-06-14 14:49 ifv Note Added: 0024758
2013-06-14 14:49 ifv Status resolved => reviewed
2013-06-17 10:45 mkv Assigned To ifv => mkv
2013-06-17 17:09 mkv Note Added: 0024769
2013-06-17 17:10 mkv Test case number => bugs moddata_3(013) bug24028
2013-06-17 17:10 mkv Assigned To mkv => jgv
2013-06-17 17:10 mkv Status reviewed => assigned
2013-06-18 10:26 ifv Assigned To jgv => nbv
2013-06-19 16:25 nbv Note Added: 0024803
2013-06-19 16:25 nbv Assigned To nbv => ifv
2013-06-19 16:25 nbv Status assigned => resolved
2013-06-19 16:40 ifv Note Added: 0024804
2013-06-19 16:40 ifv Status resolved => reviewed
2013-06-19 17:05 mkv Assigned To ifv => mkv
2013-06-20 08:22 mkv Note Added: 0024811
2013-06-20 08:23 mkv Assigned To mkv => nbv
2013-06-20 08:23 mkv Status reviewed => assigned
2013-06-21 17:50 nbv Note Added: 0024837
2013-06-21 17:50 nbv Assigned To nbv => ifv
2013-06-21 17:50 nbv Status assigned => resolved
2013-06-21 18:04 ifv Note Added: 0024838
2013-06-21 18:04 ifv Status resolved => reviewed
2013-06-24 10:25 nbv Note Added: 0024839
2013-06-25 11:49 apn Note Added: 0024857
2013-06-25 11:49 apn Assigned To ifv => bugmaster
2013-06-25 11:49 apn Status reviewed => tested
2013-06-26 17:37 bugmaster Target Version => 6.7.0
2013-06-27 13:51 jgv Changeset attached => occt master 9d109e39
2013-06-27 13:51 jgv Assigned To bugmaster => jgv
2013-06-27 13:51 jgv Status tested => verified
2013-06-27 13:51 jgv Resolution open => fixed
2013-07-17 18:34 dbv Relationship added related to 0024077
2013-10-11 21:09 abv Description Updated View Revisions
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker